Imports FormsLibrary

Public Class Form1
    'Declare events
    Private WithEvents objLogin As Login

    Private Sub objLogin_LoginCancelled(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles objLogin.LoginCancelled

        lblMessage.Text = "The login was canceled."
    End Sub

    Private Sub objLogin_LoginFailed(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles objLogin.LoginFailed

        lblMessage.Text = "The login failed."
    End Sub

    Private Sub objLogin_LoginSucceeded(ByVal sender As Object, _
        ByVal e As FormsLibrary.LoginEventArgs) Handles objLogin.LoginSucceeded

        lblMessage.Text = "The login was successful for User ID " & e.UserID
    End Sub

    Private Sub btnLogin_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles btnLogin.Click

        'Instantiate a new instance of the Login form
        objLogin = New Login

        'Show the login form
        objLogin.ShowDialog(Me)
    End Sub
End Class
